/* *********************************************************************
*Copyright (C) 2000 Elliott Mitchell					*
*All rights reserved.							*
*									*
*$Id: output.c,v 3.0 2002/05/06 04:09:22 ehem Exp $			*
*************************************************************************
*CS410-Combinatorial Search Project					*
************************************************************************/


#include <stdio.h>
#include "common.h"


int dooutput(FILE *out, struct instance *inst)
{
	struct node *wk;

	fprintf(out, "s %s %llu\n", "col", (uint64)(inst->bestcolors));

	wk=inst->nodeptr;
	while(wk->id) {
		fprintf(out, "l %llu %llu\n", (uint64)(wk->id),
(uint64)(wk->bestcolor));
		wk=(struct node *)(wk->edges+wk->ecnt);
	}

	return(1);
}

