/* *********************************************************************
*Copyright (C) 2002 Elliott Mitchell					*
*All rights reserved.							*
*									*
*$Id: types.h,v 3.2 2002/05/12 05:45:39 ehem Exp $			*
*************************************************************************
*CS410-Combinatorial Search Project					*
************************************************************************/

/*Please note, other OSes may use macros by this name!*/
#ifndef __TYPES_H__
#define __TYPES_H__

/*This has uint at least*/
#include <sys/types.h>

/*Some pretty conventional typedefs*/
/*typedef unsigned int		uint;*/
typedef char			int8;
typedef short			int16;
typedef int			int32;
#ifdef __arch64__
typedef long			int64;
#else
typedef long long		int64;
#endif
typedef unsigned char		uint8;
typedef unsigned short		uint16;
typedef unsigned int		uint32;
#ifdef __arch64__
typedef unsigned long		uint64;
#else
typedef unsigned long long	uint64;
#endif

#endif

